
From: Nishanth Aravamudan <nacc@us.ibm.com>

Use schedule_timeout_interruptible() instead of
set_current_state()/schedule_timeout() to reduce kernel size.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Cc: Mauro Carvalho Chehab <mchehab@brturbo.com.br>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/video/msp3400.c                 |    4 ++--
 drivers/media/video/saa7134/saa7134-tvaudio.c |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/media/video/msp3400.c~drivers-media-fix-up-schedule_timeout-usage drivers/media/video/msp3400.c
--- devel/drivers/media/video/msp3400.c~drivers-media-fix-up-schedule_timeout-usage	2005-09-11 02:06:29.000000000 -0700
+++ devel-akpm/drivers/media/video/msp3400.c	2005-09-11 02:06:29.000000000 -0700
@@ -741,8 +741,8 @@ static int msp34xx_sleep(struct msp3400c
 			set_current_state(TASK_INTERRUPTIBLE);
 			schedule();
 		} else {
-			set_current_state(TASK_INTERRUPTIBLE);
-			schedule_timeout(msecs_to_jiffies(timeout));
+			schedule_timeout_interruptible
+						(msecs_to_jiffies(timeout));
 		}
 	}
 
diff -puN drivers/media/video/saa7134/saa7134-tvaudio.c~drivers-media-fix-up-schedule_timeout-usage drivers/media/video/saa7134/saa7134-tvaudio.c
--- devel/drivers/media/video/saa7134/saa7134-tvaudio.c~drivers-media-fix-up-schedule_timeout-usage	2005-09-11 02:06:29.000000000 -0700
+++ devel-akpm/drivers/media/video/saa7134/saa7134-tvaudio.c	2005-09-11 02:06:29.000000000 -0700
@@ -342,8 +342,8 @@ static int tvaudio_sleep(struct saa7134_
 			set_current_state(TASK_INTERRUPTIBLE);
 			schedule();
 		} else {
-			set_current_state(TASK_INTERRUPTIBLE);
-			schedule_timeout(msecs_to_jiffies(timeout));
+			schedule_timeout_interruptible
+						(msecs_to_jiffies(timeout));
 		}
 	}
 	remove_wait_queue(&dev->thread.wq, &wait);
_
